Bug 89710 - KBabel: does not re-save correctly extra long "last translator" entries.
Summary: KBabel: does not re-save correctly extra long "last translator" entries.
Status: RESOLVED FIXED
Alias: None
Product: kbabel
Classification: Miscellaneous
Component: general (show other bugs)
Version: 1.3.1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Stanislav Visnovsky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-17 17:30 UTC by Nicolas Goutte
Modified: 2005-01-21 11:25 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Goutte 2004-09-17 17:30:48 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

It seems that KBabel has a problem when the "last translator" entry was wrapped on multiple lines in the original file. KBabel seems to write again the "last translator" entry and then also the second line of the former "last translator" entry. But the problem is that it does not follow anymore the syntax "Key: Value\n" of the first message.

One result is such a file like:
http://webcvs.kde.org/cgi-bin/cvsweb.cgi/~checkout~/kde-i18n/de/messages/kdepim/kleopatra.po?rev=1.37&content-type=text/plain
where the email of the last translator appears 2 times on extra lines.

The discussion happend on the 17th September 2004 on kde-cvs with the title
"KDE_3_3_BRANCH: kde-i18n/de/messages/kdepim"
(The thread is http://lists.kde.org/?t=109213586500006&r=1&w=2
I will forward the most importnat message(s) when this bug report is finished.

Have a nice day!
Comment 1 Nicolas Goutte 2004-09-17 17:33:47 UTC
http://lists.kde.org/?l=kde-cvs&m=109543371819676&w=2

----------  Forwarded Message  ----------

Subject: Re: KDE_3_3_BRANCH: kde-i18n/de/messages/kdepim
Date: Friday 17 September 2004 17:08
From: Nicolas Goutte <nicolasg@snafu.de>
To: kde-cvs@kde.org

On Friday 17 September 2004 16:56, David Faure wrote:
> > See David, that is what I mean
> >
> > Here the "last translator" entry (in one line)
> >
> > > +"Last-Translator: Matthias Kalle Dalheimer
> >
> > <kalle@klaralvdalens-datakonsult.se>\n"
> >
> > Here the extra line
> >
> > > "<kalle@klaralvdalens-datakonsult.se>\n"
>
> And? so? kbabel used a single line again, that's its choice, but no data
> was lost, which proves there is no problem here.

Yes, but the syntax of each property of the first message is in the form:

key: value\n

And the property defined by the extra line does not follow the syntax, but it
should, as we have a \n in the line before.

KBabel? Good, perhaps it is a KBabel bug then.

> Linebreaking is optional. So obviously it goes back and forth when
> different tools run - it's just the same with the msgids.

Sure it is optional. But here it breaks the syntax of the first message.

Have a nice day!

-------------------------------------------------------

Comment 2 Nicolas Goutte 2004-09-17 17:38:02 UTC
And here the URL of relevant messages starting each sub-thread
(as otherwise using the thread archive URL given above will be quite difficult in future.)

http://lists.kde.org/?l=kde-cvs&m=109542441626982&w=2
http://lists.kde.org/?l=kde-cvs&m=109543103831663&w=2

Have a nice day!
Comment 3 Eugeniy Meshcheryakov 2004-10-19 18:25:14 UTC
This bug also happens after editing po file with long Plural-Forms header divided in several lines (version 3.2.3, Debian unstable).
Comment 4 Nicolas Goutte 2004-10-19 19:35:11 UTC
On Tuesday 19 October 2004 18:25, Eugeniy Meshcheryakov wrote:
(...)
>This bug also happens after editing po file with long Plural-Forms
> header divided in several lines (version 3.2.3, Debian unstable).

I suppose that any long entry triggers the problem, even if I have not tested 
it.

Have a nice day!

Comment 5 Stanislav Visnovsky 2005-01-21 11:25:38 UTC
This is fixed for KDE 3.4